<div class="flex space-x-4 mt-5">
  <div class="w-56">
    <ul>
      <li>
        <a routerLink="/">All</a>
      </li>
      @for (category of categories(); track category) {
      <li>
        <a routerLink="/" [queryParams]="{ category_id: category.id }">{{
          category.name
        }}</a>
      </li>
      }
    </ul>
  </div>
  @defer {
  <div class="grid grid-cols-4 gap-8 w-full">
    @for (product of products(); track product) {
    <app-product [product]="product" (addToCart)="addToCart($event)" />
    }
  </div>
  } @loading (after 100ms; minimum 1s) {
  <p class="text-center">LOADING...</p>
  }
</div>
